# Method: projects.locations.triggers.list

- [HTTP request](https://docs.cloud.google.com/eventarc/docs/reference/rest/v1/projects.locations.triggers/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/eventarc/docs/reference/rest/v1/projects.locations.triggers/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/eventarc/docs/reference/rest/v1/projects.locations.triggers/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/eventarc/docs/reference/rest/v1/projects.locations.triggers/list#body.request_body)
- [Response body](https://docs.cloud.google.com/eventarc/docs/reference/rest/v1/projects.locations.triggers/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/eventarc/docs/reference/rest/v1/projects.locations.triggers/list#body.ListTriggersResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/eventarc/docs/reference/rest/v1/projects.locations.triggers/list#body.aspect)
- [Try it!](https://docs.cloud.google.com/eventarc/docs/reference/rest/v1/projects.locations.triggers/list#try-it)

List triggers.

### HTTP request

Choose a location:
<button value="global" default="">global</button> <button value="asia-south1">asia-south1</button> <button value="asia-south2">asia-south2</button> <button value="europe-central2">europe-central2</button> <button value="europe-north1">europe-north1</button> <button value="europe-north2">europe-north2</button> <button value="europe-southwest1">europe-southwest1</button> <button value="europe-west1">europe-west1</button> <button value="europe-west10">europe-west10</button> <button value="europe-west12">europe-west12</button> <button value="europe-west3">europe-west3</button> <button value="europe-west4">europe-west4</button> <button value="europe-west6">europe-west6</button> <button value="europe-west8">europe-west8</button> <button value="europe-west9">europe-west9</button> <button value="me-central2">me-central2</button> <button value="northamerica-northeast1">northamerica-northeast1</button> <button value="northamerica-northeast2">northamerica-northeast2</button> <button value="us-central1">us-central1</button> <button value="us-east1">us-east1</button> <button value="us-east4">us-east4</button> <button value="us-east5">us-east5</button> <button value="us-south1">us-south1</button> <button value="us-west1">us-west1</button> <button value="us-west2">us-west2</button> <button value="us-west3">us-west3</button> <button value="us-west4">us-west4</button> <button value="us-west8">us-west8</button> <button value="us">us</button> <button value="eu">eu</button>   
`GET https://eventarc.googleapis.com/v1/{parent=projects/*/locations/*}/triggers`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent collection to list triggers on. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `eventarc.triggers.list` |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The maximum number of triggers to return on each page. Note: The service may send fewer. |
| `pageToken` | `string` The page token; provide the value from the `nextPageToken` field in a previous `triggers.list` call to retrieve the subsequent page. When paginating, all other parameters provided to `triggers.list` must match the call that provided the page token. |
| `orderBy` | `string` The sorting order of the resources returned. Value should be a comma-separated list of fields. The default sorting order is ascending. To specify descending order for a field, append a `desc` suffix; for example: `name desc, triggerId`. |
| `filter` | `string` Filter field. Used to filter the Triggers to be listed. Possible filters are described in <https://google.aip.dev/160>. For example, using "?filter=destination:gke" would list only Triggers with a gke destination. |

### Request body

The request body must be empty.

### Response body

The response message for the `triggers.list` method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "triggers": [ { object (`https://docs.cloud.google.com/eventarc/docs/reference/rest/v1/projects.locations.triggers#Trigger`) } ], "nextPageToken": string, "unreachable": [ string ] } ``` |

| Fields ||
|---|---|
| `triggers[]` | ``object (`https://docs.cloud.google.com/eventarc/docs/reference/rest/v1/projects.locations.triggers#Trigger`)`` The requested triggers, up to the number specified in `pageSize`. |
| `nextPageToken` | `string` A page token that can be sent to `triggers.list` to request the next page. If this is empty, then there are no more pages. |
| `unreachable[]` | `string` Unreachable resources, if any. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).